#include "bitboard.h"

//#define USE_COUNTER

class BitHistory
{
public:
    u16 history[2][7][64];		// [turn][piece_type][dest_square]
#ifdef USE_COUNTER
	BitMove counter[2][64][64];	// [turn][from][to]
#endif

    BitHistory();
    void clear();
    void add( const BitMove &bm, const BitBoard &b, i32 depth );
};
